import request from '@/apps/mobile/utils/request'

// 专家升级规则 新增提交
export function addData(data) {
    return request({
        method: 'post',
        url: '/api/expertLevelSettings/insert',
        data,
    });
}


// 新增保存
export function addDataSave(data) {
    return request({
        method: 'post',
        url: '/api/expertLevelSettings/insert-save',
        data,
    });
}
// 删除
export function removeData(data) {
    return request({
        method: 'delete',
        url: '/api/expertLevelSettings/delete-batch',
        data,
    });
}

// 编辑
export function editData(data) {
    return request({
        method: 'put',
        url: '/api/expertLevelSettings/update',
        data,
    });
}


// 审批
export function examine(data) {
    return request({
        method: 'post',
        url: `/api/expertLevelSettings/examine`,
        data
    });
}

// 提交操作
export function submitData(id) {
    return request({
        method: 'post',
        url: `/api/expertLevelSettings/submit/${id}`,
    });
}

// 查询最新的版本
export function queryNew() {
    return request({
        method: 'get',
        url: `/api/expertLevelSettings/query-new`,
    });
}

// 查询历史版版本
export function queryHistory() {
    return request({
        method: 'get',
        url: `/api/expertLevelSettings/query-history`,
    });
}

// 查询所有待提交的
export function queryCommit() {
    return request({
        method: 'get',
        url: `/api/expertLevelSettings/query-commit`,
    });
}

// 查询所有待审核的
export function queryStay() {
    return request({
        method: 'get',
        url: `/api/expertLevelSettings/query-stay`,
    });
}